## dia 0.98+git20250126

=== meson_options.txt ===
option('gtk_doc',
       type: 'boolean', value: false,
       description: 'Whether to generate the API reference')
option('doc',
       type: 'feature', deprecated: {'true': 'enabled', 'false': 'disabled'},
       description: 'Whether to generate the doc')
option('tests',
       type: 'boolean', value: false,
       description: 'Whether to compile unit tests')

=== debian/changelog ===
dia (0.98+git20250126-2ubuntu1) questing; urgency=medium

  * Build with libxml2.9-dev for now, not compatible with
    libxml2 2.14 (LP: #2114623)

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 14 Jun 2025 13:51:17 +0000

dia (0.98+git20250126-2) unstable; urgency=medium

  * Add upstream patch to fix crash with PYTHONDEVMODE=1 Closes: #1101349
  * Add upstream patch to improve antialiasing for PNG export Closes: #1101347

 -- Philippe SWARTVAGHER <phil.swart@gmx.fr>  Thu, 29 May 2025 14:32:30 +0200

dia (0.98+git20250126-1) unstable; urgency=medium

  * New upstream snapshot
  * Add patch to replace the custom font-selector window by a GtkFontButton
    Closes: #1094927, #1077628
  * Update year in d/copyright
  * Fix a Lintian override
  * Add a Lintian override for a groff warning in dia.1

 -- Philippe SWARTVAGHER <phil.swart@gmx.fr>  Tue, 04 Feb 2025 22:34:03 +0100

=== debian/control ===
Source: dia
Section: graphics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Philippe SWARTVAGHER <phil.swart@gmx.fr>
Standards-Version: 4.7.0
Build-Depends: debhelper-compat (= 13),
    meson,
    libglib2.0-dev,
    libgtk-3-dev,
    libgraphene-1.0-dev,
    cmake,
    libxml2.9-dev,
    libpython3-dev,
    libpoppler-cpp-dev,
    libpoppler-dev (>= 22.09),
    libemf-dev [!mipsel !mips64el !hppa !hurd-amd64 !m68k !sh4],
    dblatex,
    appstream-util,
    libpoppler-private-dev (>= 22.09),
    xsltproc,
    docbook-xsl,
    desktop-file-utils,
Homepage: https://wiki.gnome.org/Apps/Dia/
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/dia
Vcs-Git: https://salsa.debian.org/debian/dia.git -b debian/master

Package: dia-common
Architecture: all
Depends: ${misc:Depends}, python3:any
Recommends: dia
Description: Diagram editor (common files)
 Dia is an editor for diagrams, graphs, charts etc. There is support for UML
 static structure diagrams (class diagrams), Entity-Relationship diagrams,
 network diagrams and much more. Diagrams can be exported to postscript and
 many other formats.
 .
 This package contains the architecture independent files.

Package: dia
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
    dia-common (=${source:Version}),
    gir1.2-gtk-3.0,
Recommends: fonts-urw-base35, dia-shapes
# usr/share/applications/dia.desktop has moved from dia-common to dia:
Breaks: dia-libs (<< 0.97.3+git20160904-1~),
        dia-common (<< 0.97.3+git20160930-10~),
Replaces: dia-libs (<< 0.97.3+git20160904-1~),
          dia-common (<< 0.97.3+git20160930-10~),
Description: Diagram editor
 Dia is an editor for diagrams, graphs, charts etc. There is support for UML
 static structure diagrams (class diagrams), Entity-Relationship diagrams,
 network diagrams and much more. Diagrams can be exported to postscript and
 many other formats.

## dia 0.98+git20250827

=== debian/changelog ===
dia (0.98+git20250827-2) unstable; urgency=medium

  [ Alexandre Detiste ]
  * d/control: drop "Rules-Requires-Root: no" being the default now
  * d/control: mark dia-common as Multi-Arch: foreign

  [ Philippe SWARTVAGHER ]
  * Make autopkgtest work on any architecture

 -- Philippe SWARTVAGHER <phil.swart@gmx.fr>  Wed, 10 Sep 2025 22:00:37 +0200

dia (0.98+git20250827-1) unstable; urgency=medium

  * New upstream snapshot
    - Fix crash with PYTHONDEVMODE=1 - Closes: #1101349
    - Improve antialiasing for PNG export - Closes: #1101347
    - Enable tests and fix build with libxml2 - Closes: #1107821, #1114450
  * Refresh patches, drop patches applied upstream
  * d/rules: remove override_dh_auto_configure (upstream now enables tests by
    default)
  * Add a patch to disable buggy tests
  * Bump Standards-Version to 4.7.2: no change needed
  * d/copyright: remove postal address of FSF in GFDL-NIV-1.1+ license
  * Move doc and manpages from d/dia-common.install to
    d/dia-common.{docs,manpages}
  * Fix cross-build: add support for nocheck build-profile
  * d/control: add a Depends on python3-gi for package dia
  * Add autopkgtests

 -- Philippe SWARTVAGHER <phil.swart@gmx.fr>  Tue, 09 Sep 2025 22:12:06 +0200

=== debian/control ===
--- 
+++ 
@@ -1,33 +1,33 @@
 Source: dia
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Philippe SWARTVAGHER <phil.swart@gmx.fr>
-Standards-Version: 4.7.0
+Maintainer: Philippe SWARTVAGHER <phil.swart@gmx.fr>
+Standards-Version: 4.7.2
 Build-Depends: debhelper-compat (= 13),
     meson,
     libglib2.0-dev,
     libgtk-3-dev,
     libgraphene-1.0-dev,
     cmake,
-    libxml2.9-dev,
+    libxml2-dev,
+    libxml2-utils <!nocheck>,
     libpython3-dev,
     libpoppler-cpp-dev,
     libpoppler-dev (>= 22.09),
-    libemf-dev [!mipsel !mips64el !hppa !hurd-amd64 !m68k !sh4],
-    dblatex,
-    appstream-util,
+    libemf-dev [!mips64el !hppa !hurd-amd64 !hurd-i386 !m68k !sh4],
+    dblatex <!cross>,
+    appstream,
     libpoppler-private-dev (>= 22.09),
     xsltproc,
     docbook-xsl,
     desktop-file-utils,
 Homepage: https://wiki.gnome.org/Apps/Dia/
-Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/dia
 Vcs-Git: https://salsa.debian.org/debian/dia.git -b debian/master
 
 Package: dia-common
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}, python3:any
 Recommends: dia
 Description: Diagram editor (common files)
@@ -43,6 +43,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends},
     dia-common (=${source:Version}),
     gir1.2-gtk-3.0,
+    python3-gi,
 Recommends: fonts-urw-base35, dia-shapes
 # usr/share/applications/dia.desktop has moved from dia-common to dia:
 Breaks: dia-libs (<< 0.97.3+git20160904-1~),

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DPKG_EXPORT_BUILDFLAGS = 1

# Make reproducible PDF
# (PDF documentation contains \today macro)
export FORCE_SOURCE_DATE = 1

include /usr/share/dpkg/buildflags.mk

%:
	dh $@


ifneq ($(filter nocheck,$(DEB_BUILD_PROFILES)),)
override_dh_auto_configure:
	dh_auto_configure -- -Dtests=false
endif

override_dh_auto_install:
	dh_auto_install
	chmod a-x debian/tmp/usr/share/dia/shapes/Civil/civil_aerator.shape

=== debian/tests/control ===
Tests: dia2svg
Depends: @, file

## dia 0.98+git20250902

=== meson_options.txt ===
--- 
+++ 
@@ -5,5 +5,5 @@
        type: 'feature', deprecated: {'true': 'enabled', 'false': 'disabled'},
        description: 'Whether to generate the doc')
 option('tests',
-       type: 'boolean', value: false,
+       type: 'boolean', value: true,
        description: 'Whether to compile unit tests')

=== debian/changelog ===
dia (0.98+git20250902-0ubuntu1) questing; urgency=medium

  * New upstream snapshot. Builds using libxml2 2.14.x.
  * Revert the last change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 02 Sep 2025 14:28:49 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: graphics
 Priority: optional
 Maintainer: Philippe SWARTVAGHER <phil.swart@gmx.fr>
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Build-Depends: debhelper-compat (= 13),
     meson,
     libglib2.0-dev,
@@ -10,24 +10,25 @@
     libgraphene-1.0-dev,
     cmake,
     libxml2-dev,
-    libxml2-utils <!nocheck>,
+    libxml2-utils,
     libpython3-dev,
     libpoppler-cpp-dev,
     libpoppler-dev (>= 22.09),
-    libemf-dev [!mips64el !hppa !hurd-amd64 !hurd-i386 !m68k !sh4],
-    dblatex <!cross>,
+    libemf-dev [!mipsel !mips64el !hppa !hurd-amd64 !m68k !sh4],
+    dblatex,
     appstream,
+    appstream-util,
     libpoppler-private-dev (>= 22.09),
     xsltproc,
     docbook-xsl,
     desktop-file-utils,
 Homepage: https://wiki.gnome.org/Apps/Dia/
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/dia
 Vcs-Git: https://salsa.debian.org/debian/dia.git -b debian/master
 
 Package: dia-common
 Architecture: all
-Multi-Arch: foreign
 Depends: ${misc:Depends}, python3:any
 Recommends: dia
 Description: Diagram editor (common files)
@@ -43,7 +44,6 @@
 Depends: ${shlibs:Depends}, ${misc:Depends},
     dia-common (=${source:Version}),
     gir1.2-gtk-3.0,
-    python3-gi,
 Recommends: fonts-urw-base35, dia-shapes
 # usr/share/applications/dia.desktop has moved from dia-common to dia:
 Breaks: dia-libs (<< 0.97.3+git20160904-1~),

## dia 0.98+git20260221

=== debian/changelog ===
dia (0.98+git20260221-1) unstable; urgency=medium

  * New upstream snapshot
    - Refresh patches
    -  A test now requires a X server: use xvfb for tests
  * Remove override of lintian tag library-not-linked-against-libc
    - This tag has been removed from lintian
  * Bump Standards-Version to 4.7.3:
    - Remove `Priority: optional` in d/control, now by default

 -- Philippe SWARTVAGHER <phil.swart@gmx.fr>  Sun, 22 Feb 2026 18:29:33 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: dia
 Section: graphics
-Priority: optional
 Maintainer: Philippe SWARTVAGHER <phil.swart@gmx.fr>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Build-Depends: debhelper-compat (= 13),
     meson,
     libglib2.0-dev,
@@ -10,25 +9,26 @@
     libgraphene-1.0-dev,
     cmake,
     libxml2-dev,
-    libxml2-utils,
+    libxml2-utils <!nocheck>,
     libpython3-dev,
     libpoppler-cpp-dev,
     libpoppler-dev (>= 22.09),
-    libemf-dev [!mipsel !mips64el !hppa !hurd-amd64 !m68k !sh4],
-    dblatex,
+    libemf-dev [!mips64el !hppa !hurd-amd64 !hurd-i386 !m68k !sh4],
+    dblatex <!cross>,
     appstream,
-    appstream-util,
     libpoppler-private-dev (>= 22.09),
     xsltproc,
     docbook-xsl,
     desktop-file-utils,
+    xauth <!nocheck>,
+    xvfb <!nocheck>,
 Homepage: https://wiki.gnome.org/Apps/Dia/
-Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/dia
 Vcs-Git: https://salsa.debian.org/debian/dia.git -b debian/master
 
 Package: dia-common
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}, python3:any
 Recommends: dia
 Description: Diagram editor (common files)
@@ -44,6 +44,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends},
     dia-common (=${source:Version}),
     gir1.2-gtk-3.0,
+    python3-gi,
 Recommends: fonts-urw-base35, dia-shapes
 # usr/share/applications/dia.desktop has moved from dia-common to dia:
 Breaks: dia-libs (<< 0.97.3+git20160904-1~),

=== debian/rules ===
--- 
+++ 
@@ -24,3 +24,9 @@
 override_dh_auto_install:
 	dh_auto_install
 	chmod a-x debian/tmp/usr/share/dia/shapes/Civil/civil_aerator.shape
+
+# Taken from https://salsa.debian.org/gnome-team/epiphany-browser/-/commit/3b48e614e9f161e0f9a4ab0f309305040e2a6168
+override_dh_auto_test:
+	dbus-run-session -- \
+        xvfb-run -a -s "-screen 0 1024x768x24 -noreset" -e /proc/self/fd/2 \
+        dh_auto_test
